Can't compile with readline

Hi,

I’m trying to compile Ruby 1.8.5 on Debian Sarge with readline. After
compilation I try irb and I get:

irb(main):001:0> require “readline”
LoadError: no such file to load – readline
from (irb):1:in `require’
from (irb):1

Also I have these readline related packages installed:

$ dpkg -l | grep ^ii | grep readline
ii libreadline-ruby 1.8.2-1 Readline interface for Ruby
ii libreadline-ruby1.6 1.6.8-12sarge2 Readline interface for Ruby
1.6.x
ii libreadline-ruby1.8 1.8.5-3 Readline interface for Ruby
1.8
ii libreadline4 4.3-11 GNU readline and history
libraries, run-time libraries
ii libreadline5 5.2-1 GNU readline and history
libraries, run-time libraries
ii libreadline5-dev 5.2-1 GNU readline and history
libraries, development files
ii readline-common 5.2-1 GNU readline and history
libraries, common files

Why ruby does not compile with readline? Thank you!

Jonathan

At last, thanks to this message I have been able to make the extension
directly from /usr/src/ruby-1.8.5/ext/readline

http://blade.nagaokaut.ac.jp/cgi-bin/vframe.rb/ruby/ruby-talk/214784?214503-216256+split-mode-vertical

‘apt-get install ruby’ will work just fine.

how do i install ruby in debian?
because i need to create a game as this framework.

thank you!

2006/11/11, Jonathan Métillon [email protected]:

thank you!

2006/11/11, Codeblogger [email protected]:

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs